1. MiniPOS Products API
UCS MiniPOS API - PUBLIC
  • MIDserver
    • MiniPOS Invoice API
      • ValidateInvoice
      • New Sales Invoice - Basic
      • New Refund Invoice - Basic
      • New Sales Invoice - Advanced
      • New Sales Invoice + Slip after payment
      • New Non fiscal slip
      • Get Invoice List
      • Get Invoice by ID
  • CRMserver
    • MiniPOS Products API
      • GET Products List
        GET
      • GET Product by ID
        GET
      • DELETE Product by ID
        DELETE
      • Change Product by ID
        PUT
      • Create new Product Basic
        POST
      • Create new Product Advanced
        POST
    • MiniPOS Categories API
      • Create new Category
    • MiniPOS Shift Data API
      • GET shifts
      • GET receipts
  1. MiniPOS Products API

Change Product by ID

PUT
/api/products/12

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/api/products/12' \
--header 'Content-Type: application/json' \
--data-raw '{
    "code": 4777,
    "name": "ItemName",
    "price": "1.00",
    "is_free_price": false,
    "is_weight": false,
    "default_quantity": "1.000",
    "payload": "SomePayload",
    "info": {
                "blocks": [
                    {
                    "kind": "text",
                    "content": "Some text here1"
                    },
                    {
                    "kind": "barcode",
                    "type": 2,
                    "code": "1234567890123"
                    },
                    {
                    "kind": "text",
                    "content": "Some text here2"
                    }
                ]
            },
        
    "no_discount": false,
    "category": 1,
    "fiscal_section": 1,
    "tax": 0,
    "barcodes": [
        {
            "barcode": "3475557112",
            "discount": 0,
            "discount_type": null,
            "default_quantity": 1
        },
        {
            "barcode": "1234444712",
            "discount": 10,
            "discount_type": "percent",
            "default_quantity": 1
        },
        {
            "barcode": "1234444755",
            "discount": 0,
            "discount_type": null,
            "default_quantity": 5
        }
    ],
    "addons": [
        9,
        3
             ]
}'
Response Response Example
{
    "id": 12,
    "barcodes": [
        {
            "barcode": "3475557112",
            "discount": 0,
            "discount_type": null,
            "default_quantity": 1
        },
        {
            "barcode": "1234444712",
            "discount": 10,
            "discount_type": "percent",
            "default_quantity": 1
        },
        {
            "barcode": "1234444755",
            "discount": 0,
            "discount_type": null,
            "default_quantity": 5
        }
    ],
    "addons": [
        9,
        3
    ],
    "status": 1,
    "code": 4777,
    "name": "ItemName",
    "price": 1,
    "is_free_price": false,
    "is_weight": false,
    "default_quantity": 1,
    "payload": "SomePayload",
    "created_at": "2026-01-09T10:13:28.357056+02:00",
    "updated_at": "2026-02-18T10:06:41.387019+02:00",
    "info": {
        "blocks": [
            {
                "kind": "text",
                "content": "Some text here1"
            },
            {
                "kind": "barcode",
                "type": 2,
                "code": "1234567890123"
            },
            {
                "kind": "text",
                "content": "Some text here2"
            }
        ]
    },
    "no_discount": false,
    "category": 1,
    "fiscal_section": 1,
    "tax": 0
}
Modified at 2026-04-15 12:52:15
Previous
DELETE Product by ID
Next
Create new Product Basic
Built with